Get Builds
/unified/ci-cd/builds/{id}
Path Parameters
The ID of the resource.
23423523Query Parameters
Refer Specifying query parameters in Truto APIs
The unique identifier for the workspace
2 supported2 required
The repository of the build
1 supported1 required
The id of the workflow to filter the builds by.
1 supported
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.debugreturns the final unified result alongside raw remote fetch information. The response is an envelope containingresult(identical to unified mode output) anddebug(withrequestUrl,requestOptions,data,responseHeaders, and for list operations:nextCursor,isLooping,isEmptyResult,resultCount).debugisnullfor static responses or whentruto_skip_api_call=true.
Defaults to unified.
unifiedunifiedrawnormalizedstreamdebug
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The unique identifier for the build
6 supported
The number of attempts for the build
2 supported
The head branch of the build
5 supported
The build's unique identifier in the CI/CD
3 supported
The head commit of the build
4 supported
The date and time when the build finished
4 supported
The conclusion of the build - passed, failed, cancelled, timeout, skipped, retried, partial or the raw response from the API
5 supported
The date and time when the build was created
4 supported
The name of the build
4 supported
The run number of the build
6 supported
Raw data returned from the remote API call.
The repository of the build
5 supported
The date and time when the build started
3 supported
The status of the build - queued, in_progress, completed or the raw response from the API
5 supported
The trigger for the build - push, merge_request, api, cron, web or the raw response from the API
6 supported
The actor who triggered the build
3 supported
The type of the actor who triggered the build - user, bot or raw response from the API
3 supported
The date and time when the build was last updated
4 supported
The workflow's unique identifier in the CI/CD
2 supported
curl -X GET 'https://api.truto.one/unified/ci-cd/builds/{id}?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/ci-cd/builds/{id}?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/ci-cd/builds/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.get(
'ci-cd',
'builds',
'<resource_id>',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.get(
"ci-cd",
"builds",
"<resource_id>",
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())